[BUILD:fail] yafray :: linux3 = not yet supported (Bug #220)


Added by Jeremy Sutherland almost 3 years ago. Updated almost 3 years ago.


Status:New Start date:09/13/2011
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:Graphics
Target version:-
Grimoire:

Description

root@claire:~# cast -r yafray
Computing previously installed dependencies...
yafray preparing environment...
yafray running configuration...
yafray checking dependencies...
yafray has a dependency on gcc
yafray requests gcc with CXX
yafray has a dependency on scons
yafray has a dependency on zlib
yafray has a dependency on some JPEG.
(0) jpeg (installed)

Which one do you want? [0] 0
yafray has a dependency on freetype2
yafray has a dependency on libxml2
yafray has a dependency on ilmbase
yafray has a dependency on openexr
yafray checking for reverse triggers...
gcc No work to do.
scons No work to do.
zlib No work to do.
jpeg No work to do.
freetype2 No work to do.
libxml2 No work to do.
ilmbase No work to do.
openexr No work to do.
Collating dependencies...
Spells are to be cast:
---------------------------
yafray

Do you want to cast these spells? [y] y

Found source file /var/spool/sorcery/YafaRay.0.1.1.zip for spell yafray in /var/spool/sorcery
Waiting for any Solo casts to complete...
Waiting for any other casts of yafray to complete... done.
Staging enabled
castfs: checking sanity of <mnt-dir> and <stage-dir>
castfs: stagedir is okay!
Preparing yafray
Hash checking source file YafaRay.0.1.1.zip...
Algorithm used: sha512
Algorithm checks out
Checking spell level WORKS_FOR_ME
Spell level is an allowed level
Hash verification succeeded
Unpacking source file YafaRay.0.1.1.zip for spell yafray.
Building yafray
Building in dir: /usr/src/yafaray
yafray 0.1.1

scons: Reading SConscript files ...
KeyError: 'linux3':
File "/usr/src/yafaray/SConstruct", line 23:
configfile = configurations[sys.platform]
! Problem Detected !
Creating compile log /var/log/sorcery/compile/yafray-0.1.1.bz2
Creating castfs debug log /var/log/sorcery/compile/yafray-0.1.1.castfs.dbglog.bz2

Spells that encountered problems:
---------------------------------
yafray (build)


Issue hierarchy

Bug #6: [master bug] linux 3.0 supportNew

Bug #220: [BUILD:fail] yafray :: linux3 = not yet supportedNew


History

Also available in: Atom PDF